# Conversations

Everything about your Conversations

 - [POST /conversations/{conversation_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/attachtagtoconversation.md): You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
 - [DELETE /conversations/{conversation_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/detachtagfromconversation.md): You can remove tag from a specific conversation. This will return a tag object for the tag that was removed from the conversation.
 - [GET /conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listconversations.md): You can fetch a list of all conversations. You can optionally request the result page size and the cursor to start after to fetch the result. You can use pagination to limit the number of results retu
 - [POST /conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/createconversation.md): You can create a conversation that has been initiated by a contact (ie. user or lead). The conversation can be an in-app message only. You can also send a message from a visitor by specifying their `u
 - [GET /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/retrieveconversation.md): You can fetch the details of a single conversation. This will return a single Conversation model with all its conversation parts. The maximum number of conversation parts that can be returned via the
 - [PUT /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/updateconversation.md): You can update an existing conversation. If you want to reply to a coveration or take an action such as assign, unassign, open, close or snooze, take a look at the reply and manage endpoints. This end
 - [DELETE /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/deleteconversation.md): Deleting a conversation is permanent and cannot be reversed. You can delete a single conversation. The behavior depends on the `retain_metrics` parameter: - **With `retain_metrics=true` (default)**: D
 - [POST /conversations/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/searchconversations.md): You can search for multiple conversations by the value of their attributes in order to fetch exactly which ones you want. To search for conversations, you need to send a `POST` request to `https://api
 - [POST /conversations/{conversation_id}/reply](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/replyconversation.md): You can reply to a conversation with a message from an admin or on behalf of a contact, or with a note for admins. By default, bot or Operator replies to an inbound email conversation aren't sent to y
 - [POST /conversations/{conversation_id}/parts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/manageconversation.md): For managing conversations you can: - Close a conversation - Snooze a conversation to reopen on a future date - Open a conversation which is `snoozed` or `closed` - Assign a conversation to an admin a
 - [POST /conversations/{conversation_id}/customers](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/attachcontacttoconversation.md): You can add participants who are contacts to a conversation, on behalf of either another contact or an admin. If you add a contact via the email parameter and there is no user/lead found on that works
 - [DELETE /conversations/{conversation_id}/customers/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/detachcontactfromconversation.md): You can remove participants who are contacts from a group conversation, on behalf of an admin. You cannot remove the last remaining contact from a conversation.
 - [GET /conversations/{id}/handling_events](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listhandlingevents.md): List all pause/resume events for a conversation. These events track when teammates paused or resumed handling a conversation. Requires the `read_conversations` OAuth scope.
 - [GET /conversations/{id}/hitl_events](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listhitlevents.md): List the human-in-the-loop (HITL) events for a conversation. When Fin is unsure of an answer it can consult a teammate before replying, proposing a draft that the teammate approves, steers with free-t
 - [GET /conversations/{id}/side_conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listsideconversations.md): List side conversations for a given conversation. Side conversations are internal threads created by teammates from within a conversation. Each side conversation includes its conversation parts (messa
 - [POST /conversations/redact](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/redactconversation.md): You can redact a conversation part or the source message of a conversation (as seen in the source object). If you are redacting a conversation part, it must have a `body`. If you are redacting a sourc
 - [POST /conversations/{id}/merge](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/mergeconversation.md): Merge a secondary (source) conversation into a primary (target) conversation. The secondary conversation is closed and linked to the primary, which becomes the surviving thread. Returns the primary co
 - [POST /conversations/{conversation_id}/convert](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/convertconversationtoticket.md): You can convert a conversation to a ticket.
 - [GET /conversations/deleted](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listdeletedconversationids.md): List all deleted conversation IDs. You can use pagination to limit the number of results returned. The default is `20` results per page. You can navigate to next pages using the `page` param.
 - [Conversation](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation.md): Schema: #/components/schemas/conversation
 - [Conversation List Item](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_list_item.md): Schema: #/components/schemas/conversation_list_item
 - [Conversation Monitor Evaluation](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_monitor_evaluation.md): Schema: #/components/schemas/conversation_monitor_evaluation
 - [Conversation Scorecard](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard.md): Schema: #/components/schemas/conversation_scorecard
 - [Conversation Scorecard Evaluator](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_evaluator.md): Schema: #/components/schemas/conversation_scorecard_evaluator
 - [Evaluator Reason](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_evaluator_reason.md): Schema: #/components/schemas/conversation_scorecard_evaluator_reason
 - [Conversation Scorecard Evaluator Result](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_evaluator_result.md): Schema: #/components/schemas/conversation_scorecard_evaluator_result
 - [Scorecard Note](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_note.md): Schema: #/components/schemas/conversation_scorecard_note
 - [Note Author](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_note_author.md): Schema: #/components/schemas/conversation_scorecard_note_author
 - [Reviewed Teammate](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_reviewed_teammate.md): Schema: #/components/schemas/conversation_scorecard_reviewed_teammate
 - [Reviewer](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_reviewer.md): Schema: #/components/schemas/conversation_scorecard_reviewer
 - [Revised By](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_revised_by.md): Schema: #/components/schemas/conversation_scorecard_revised_by
 - [Submitted By](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_submitted_by.md): Schema: #/components/schemas/conversation_scorecard_submitted_by
 - [Merge Conversations Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/merge_conversations_request.md): Schema: #/components/schemas/merge_conversations_request
